Autor Tópico: Problemas no League of Legends com o Wine  (Lida 401 vezes)

Offline Agarwaen

  • Usuário Ubuntu
  • *
  • Mensagens: 21
  • "Only ideas can overcome ideas."
    • Ver perfil
Problemas no League of Legends com o Wine
« Online: 09 de Outubro de 2016, 13:54 »
Olá a todos!

Tenho o League of Legends instalado no meu Ubuntu GNOME 16.04.1 LTS (com o Wine e o PlayOnLinux) e a maioria das coisas no jogo está funcionando aparentemente bem (por enquanto). No entando, existem alguns bugs que acabam tornando a experiência com o jogo um pouco desagradável. Aqui vou descrever somente um deles, o mais recente que percebi: quando eu abro a loja do jogo e tento comprar qualquer coisa, seja com IP ou RP, aparece uma pequena janela do Wine requerindo uma autenticação. Segue o link de uma screenshot ilustrando o problema: http://imgur.com/ZUwbyzK. Alguém aí que utiliza o Wine e o PlayOnLinux para jogar o jogo e que está tendo o mesmo problema saberia como resolver isso?

Obrigado, desde já.

Offline nomade

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.081
  • O negócio não tem alma
    • Ver perfil
Re:Problemas no League of Legends com o Wine
« Resposta #1 Online: 07 de Dezembro de 2016, 16:50 »
Complicado de resolver, pois o LOL exige instalação de certificados no Internet Explorer. A versão do IE no Wine é sempre mais antiga. Complica um pouco... ainda mais porque foi instalado pelo playonlinux que cria uma espécie de sandbox para várias versões do wine. Se fosse instalado pelo Wine diretamente, poderia ficar um pouco mais fácil de resolver, instalando o IE mais novo o possível e os certificados necessários...

Entrando aqui você consegue o certificado https://www.digicert.com/digicert-root-certificates.htm
Procure para o download : DigiCert High Assurance CA-3"
Instale pelo IE do Wine e veja se funciona... é o que posso fazer para ajudar

Obs.: Eu nem jogo LOL, jogo apenas Dota2, mas meus filhos jogam o LOL...
« Última modificação: 07 de Dezembro de 2016, 16:52 por nomade »
Rodando Ubuntu 16.04 com: AMD Bulldozer FX-6100 3.3GHz 6-Core Black Edition/ Gigabyte 78LMT-S2P/ 8GB de Ram/ Radeon R7 260X 2GB GDDR5 128bit